//---------------------------------------------------------------------------
//
// Name:        anyport_guiDlg.h
// Author:      Peter Zimmermann
// Created:     07.01.2008 23:55:13
// Description: anyport_guiDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __ANYPORT_GUIDLG_h__
#define __ANYPORT_GUIDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/button.h>
#include <wx/listbox.h>
////Header Include End

////Dialog Style Start
#undef anyport_guiDlg_STYLE
#define anyport_guiDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxCLOSE_BOX
////Dialog Style End

class anyport_guiDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		anyport_guiDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("anyport_gui"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = anyport_guiDlg_STYLE);
		virtual ~anyport_guiDlg();
		void btnScanPortsClick(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *btnScanPorts;
		wxListBox *lb;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_BTNSCANPORTS = 1002,
			ID_LB = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
